/* === 【top3 ランキング】 === */
.top3 {
  margin-top: var(--sp-16);
}

.top3 > ol {
  display: flex;
  gap: 2%;
  padding-left: 0;
}

.top3 > ol > li {
  border-radius: var(--radius-sm);
  background-color: #ededed;
  text-align: center;
  list-style: none !important;
  border: 2px solid #ededed;
}

.top3 > ol > li:first-child {
  border: 2px solid #008acf;
}

.top3 > ol > li > p {
  margin-top: 0;
  text-align: center;
  background-color: #ededed;
  padding: var(--sp-4);
}

.top3 .banner {
  padding: var(--sp-4);
  border-radius: var(--radius-sm) var(--radius-sm) 0 0;
}

.top3 .banner a {
  font-weight: bold;
  letter-spacing: -0.05em;
  text-decoration: underline;
  color: #008acf;
}

.top3 .banner a img {
  margin-top: 0 !important;
  aspect-ratio: 1 / 1;
  object-fit: contain;
  border: 1px solid #ccc;
  padding: var(--sp-4);
}

.top3 .plan_ttl > span {
  border: 1px solid #333;
  border-radius: var(--radius-xs);
  display: block;
  width: 75%;
  min-width: 7em;
  padding: 0;
  margin: 0 auto;
}

.top3 .fee .small {
  font-size: 12px;
}

.top3 .fee .red {
  color: #f75e18;
}

.top3 p:has(.button) {
  margin-bottom: var(--sp-4);
}

.top3 p .button {
  font-size: 120%;
  margin-bottom: var(--sp-8);
  font-weight: bold;
  text-align: center;
  color: var(--color_white);
  background-color: #e90d0d !important;
  box-shadow: 3px 6px #feddcf;
  border-radius: var(--radius-sm);
  display: block;
  height: auto;
  position: relative;
  text-decoration: none;
}

.top3 p .button::before,
.top3 p .button::after {
  content: none;
}

.top3 .aga_cta {
  overflow: hidden;
  transition: 300ms;
  display: block;
  position: relative;
  padding: 0.5em 0;
  border-radius: var(--radius-sm);
}

.top3 .aga_cta::before {
  position: absolute;
  content: '';
  display: inline-block;
  top: -180px;
  left: 0;
  width: 30px;
  height: 100%;
  background-color: #ffc1c1;
  transition: 300ms;
  animation: top3-shiny 3s ease-in-out infinite;
}

@keyframes top3-shiny {
  0% {
    transform: scale(0) rotate(45deg);
    opacity: 0;
  }
  80% {
    transform: scale(0) rotate(45deg);
    opacity: 0.5;
  }
  81% {
    transform: scale(4) rotate(45deg);
    opacity: 1;
  }
  100% {
    transform: scale(50) rotate(45deg);
    opacity: 0;
  }
}

@media (max-width: 580px) {
  .top3 .plan_ttl > span {
    font-size: 12px !important;
  }
}
